## org.codehaus.groovy.runtime.callsite
Class MetaClassSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite

All Implemented Interfaces:
  CallSite

Direct Known Subclasses:
  ConstructorMetaClassSite, ConstructorSite, MetaClassConstructorSite, MetaMethodSite, PogoMetaClassSite, PojoMetaClassSite, StaticMetaClassSite

    public abstract class MetaClassSite

extends AbstractCallSite

Call site which holds reference to meta class

Author:
  Alex Tkachman

Field Summary
`protected MetaClass` `metaClass`

Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite
`array, index, name, usage`

Constructor Summary
`MetaClassSite(CallSite site, MetaClass metaClass)`

Method Summary

Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### metaClass

    protected final MetaClass metaClass

Constructor Detail

### MetaClassSite

    public MetaClassSite(CallSite site,
                         MetaClass metaClass)

Copyright © 2003-2009 The Codehaus. All rights reserved.